{% extends "base.html" %}


{% load crispy_forms_tags %}

{% load render_table from django_tables2 %}
{% load static %}
<!-- <link rel="stylesheet" type="text/css" href="{% static 'django_tables2/themes/paleblue/css/screen.css' %}" /> -->
{% block internal_css %}
<link rel="stylesheet" href="{% static 'css/batchUpload.css' %}">
{% endblock %}
{% block internal_js %}
<script src="{% static 'js/batchUpload.min.js' %}"></script>
{% endblock %}

{% block content %}

<h1>Batch upload failed. See row errors below:</h1>
<h1>{{ batchTab.Meta.attrs.disp_name }}</h1>
{% render_table batchTab %}

<hr>

<legend>Upload corrected csv file:</legend>
<form action="/dcc/batchUpload/"
      class="form-horizontal" method="post" enctype="multipart/form-data">
  {% crispy batchForm batchForm.helper %}

  <div class="form-actions">
    <button type="submit" name="submit" value="Save" class="btn btn--submit btn-success" id="upload_button" data-loading-text="<i class='fas fa-circle-notch fa-spin'></i> Processing">Re-submit</button>
  </div>
</form>


{% endblock %}
